SystemOrganization addCategory: #GODTextIOExceptions!

Error subclass: #GODTextIOFileAlreadyExists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIOExceptions'!

!GODTextIOFileAlreadyExists commentStamp: 'jlcg 9/27/2014 10:34' prior: 0!
Error: when trying to write a file that already exists with 'ovewrite' option set to False.!

!GODTextIOFileAlreadyExists methodsFor: 'exceptionDescription' stamp: 'jlcg 9/27/2014 10:37'!
description

	^'The file already exists. If you want to overwrite it, set "overwrite" option to True.'.! !

!GODTextIOFileAlreadyExists methodsFor: 'exceptionDescription' stamp: 'jlcg 10/17/2014 21:34'!
isResumable

	^ true.! !

Error subclass: #GODTextIOFileDoesNotExist
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIOExceptions'!

!GODTextIOFileDoesNotExist commentStamp: 'jlcg 9/27/2014 11:33' prior: 0!
Error: when trying to append contents to a file that does not exist.!

!GODTextIOFileDoesNotExist methodsFor: 'exceptionDescription' stamp: 'jlcg 10/17/2014 20:08'!
description

	^'File does not exist.'! !

Error subclass: #GODTextIOInvalidFileType
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIOExceptions'!

!GODTextIOInvalidFileType commentStamp: 'jlcg 10/16/2014 17:31' prior: 0!
Error: no extension found in the path.!

!GODTextIOInvalidFileType methodsFor: 'exceptionDescription' stamp: 'jlcg 10/17/2014 20:09'!
description

	^'No valid extension found in the file path.'! !

Error subclass: #GODTextIOPdfLatexError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIOExceptions'!

!GODTextIOPdfLatexError commentStamp: 'jlcg 10/30/2014 10:34' prior: 0!
Error: pdflatex (necessary to generate PDF files) not available on the server.!

!GODTextIOPdfLatexError methodsFor: 'exceptionDescription' stamp: 'jlcg 10/30/2014 10:35'!
description
	^'pdflatex seems to be unavailable on the server.'! !

Error subclass: #GODTextIOPdfUnableToMoveFile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODTextIOExceptions'!
